V1 and V2Product Families
Rename a product family
Edit product family name.
| field | type | mandatory | description |
|---|---|---|---|
| name | string | yes | human-friendly name |
Any other attributes will be ignored.
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
product_family_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH 'https://example.com/api/v1/product_families/string' \ -H 'Content-Type: application/json' \ --data-raw '{ "name": "new name"}'Empty